<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml"  xmlns:f="http://java.sun.com/jsf/core">
    <!-- parameters: managedBean (extends AbstractPDQPDC)
             inserts: additionalParameters, queryByVisitParameters -->
    <ui:decorate template="/layout/panels/_panel_title.xhtml">
        <ui:define name="panel_title">#{messages['gazelle.simulator.pam.DemographicInformation']}</ui:define>
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.firstName or not empty managedBean.patientCriteria.alternateFirstName}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.FirstName']}</ui:define>
                <h:outputText value="#{managedBean.patientCriteria.firstName}"/>
                <h:outputText value=" (#{messages['net.ihe.gazelle.patientmanager.Alternate']} #{managedBean.patientCriteria.alternateFirstName})"
                              rendered="#{not empty managedBean.patientCriteria.alternateFirstName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.secondName or not empty managedBean.patientCriteria.alternateSecondName}">
                <ui:define name="label">#{messages['net.ihe.gazelle.patgen.SecondName']}</ui:define>
                <h:outputText value="#{managedBean.patientCriteria.secondName}"/>
                <h:outputText value=" (#{messages['net.ihe.gazelle.patientmanager.Alternate']} #{managedBean.patientCriteria.alternateSecondName})"
                              rendered="#{not empty managedBean.patientCriteria.alternateSecondName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.thirdName or not empty managedBean.patientCriteria.alternateThirdName}">
                <ui:define name="label">#{messages['net.ihe.gazelle.patgen.ThirdName']}</ui:define>
                <h:outputText value="#{managedBean.patientCriteria.thirdName}"/>
                <h:outputText value=" (#{messages['net.ihe.gazelle.patientmanager.Alternate']} #{managedBean.patientCriteria.alternateThirdName})"
                              rendered="#{not empty managedBean.patientCriteria.alternateThirdName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.lastName or not empty managedBean.patientCriteria.alternateLastName}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.LastName']}</ui:define>
                <h:outputText value="#{managedBean.patientCriteria.lastName}"/>
                <h:outputText value=" (#{messages['net.ihe.gazelle.patientmanager.Alternate']} #{managedBean.patientCriteria.alternateLastName})"
                              rendered="#{not empty managedBean.patientCriteria.alternateLastName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.motherMaidenName}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.MothersMaidenName']}</ui:define>
                <h:outputText value="#{managedBean.patientCriteria.motherMaidenName}"/>
                <h:outputText value="(#{messages['net.ihe.gazelle.patientmanager.Alternate']} #{managedBean.patientCriteria.alternateMothersMaidenName})"
                              rendered="#{not empty managedBean.patientCriteria.alternateMothersMaidenName}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.dateOfBirth}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.BirthDateyyyyMMdd']})</ui:define>
                <g:date value="#{managedBean.patientCriteria.dateOfBirth}" time="false"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.genderCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.AdministrativeSex']}</ui:define>
                <h:outputText value="#{managedBean.patientCriteria.genderCode}"/>
            </s:decorate>
            <a4j:repeat value="#{managedBean.patientCriteria.phoneNumbers}" var="pn">
                <s:decorate template="/layout/display/_data_list_item.xhtml"
                            rendered="#{not empty pn.value}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PhoneNumber']}</ui:define>
                    <h:outputText value="#{pn.value}"/>
                </s:decorate>
            </a4j:repeat>

            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty managedBean.patientCriteria.patientIdentifiers}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.PatientId']}</ui:define>
                <a4j:repeat value="#{managedBean.patientCriteria.patientIdentifiers}"
                            var="pid">
                    <h:outputText
                            value="#{pid.fullPatientId}&#94;#{pid.identifierTypeCode}"
                            rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-21') or managedBean.selectedTransaction.keyword.equals('ITI-22')}"/>
                    <s:div styleClass="row"
                           rendered="#{not (managedBean.selectedTransaction.keyword.equals('ITI-21') or managedBean.selectedTransaction.keyword.equals('ITI-22'))}">
                        <h:outputText value="#{messages['gazelle.pam.Extension']}:" style="font-weight:bold;"/>
                        <h:outputText
                                value="#{pid.idNumber}"/>
                        <h:outputText value=" - #{messages['gazelle.pam.Root']}:" style="font-weight:bold;"/>
                        <h:outputText
                                value="#{pid.domain.universalID}"/>
                    </s:div>
                </a4j:repeat>
            </s:decorate>
            <ui:insert name="additionalParameters"/>
            <a4j:repeat value="#{managedBean.patientCriteria.addressList}" var="patAddr">
                <h3>
                    <h:outputText value="#{messages['gazelle.simulator.PatientGeneration.Address']}" rendered="#{not patAddr.isBirthPlace()}"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.BirthPlace']}" rendered="#{patAddr.isBirthPlace()}"/>
                </h3>
                <ui:include src="/patient/addressDisplay.xhtml">
                    <ui:param name="addr" value="#{patAddr}"/>
                </ui:include>
            </a4j:repeat>
        </dl>
    </ui:decorate>
    <ui:insert name="queryByVisitParameters"/>
    <s:decorate template="/layout/panels/_panel_title.xhtml"
                rendered="#{displayOptions}">
        <ui:define name="panel_title">#{messages['gazelle.simulator.pam.AdditionalInformation']}</ui:define>
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.simulator.pam.WhatDomainsReturned']}</ui:define>
                <a4j:repeat value="#{managedBean.domainsReturned}" var="aa"
                            rendered="#{not empty managedBean.domainsReturned}">
                    <h:outputText
                            value="#{aa.namespace}&amp;#{aa.universalId}&amp;#{aa.universalIdType}"
                            rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-21') or managedBean.selectedTransaction.keyword.equals('ITI-22')}"/>
                    <h:outputText value="#{aa.universalId}"
                                  rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-47') or managedBean.selectedTransaction.keyword.equals('ITI-78')}"/>
                    <br/>
                </a4j:repeat>
                <h:outputText value="#{messages['gazelle.simulator.pam.ANY']}"
                              rendered="#{empty managedBean.domainsReturned}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{managedBean.limit}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.NumberOfHitsHasBeenLimitedTo']}</ui:define>
                <rich:inputNumberSpinner value="#{managedBean.limitValue}" minValue="1"
                                         rendered="#{managedBean.moreResultsAvailable and managedBean.limit}"/>
                <h:outputText value="#{messages['gazelle.simulator.pam.NA']}" rendered="#{not managedBean.limit}"/>
                <h:outputText value="#{managedBean.limitValue}"
                              rendered="#{managedBean.limit and not managedBean.moreResultsAvailable}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.simulator.pam.PageNumber']}</ui:define>
                <h:outputText value="#{managedBean.pageNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-78')}">
                <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.ReturnedFormat']}</ui:define>
                <h:outputText value="#{managedBean.responseType.label}"/>
            </s:decorate>
        </dl>
    </s:decorate>
</ui:composition>